#!/bin/sh

answer=`alert "Remove OpenBeOS Media Kit Alpha 1 now?" "No" "Yes"`
if [ $answer == "No" ]
then
	alert "Uninstall aborted!" "OK"
	exit
fi

curdir=`dirname "$0"`
if [ "$curdir" == "." ]
then
    curdir=`pwd`
fi

if [ -e ~/config/add-ons/media/mixer.media_addon ]
then
    rm ~/config/add-ons/media/mixer.media_addon
fi

if [ -e ~/config/lib/libmedia.so ]
then
    rm ~/config/lib/libmedia.so
fi

if [ -d ~/openbeos-mediakit-test ]
then
    rm -rf ~/openbeos-mediakit-test
fi

kill -9 TV 2>/dev/null
kill -9 SoundPlay 2>/dev/null
kill -9 CL-Amp 2>/dev/null
kill -9 Media 2>/dev/null
kill -9 media_server 2>/dev/null
kill -9 media_addon_server 2>/dev/null
kill -9 audio_server 2>/dev/null
sleep 2

alert "OpenBeOS Media Kit Alpha 1 has been removed!

Starting old media kit now." "OK"

/boot/beos/system/servers/media_server &
