#!/bin/sh

answer=`alert "Install OpenBeOS Media Kit Alpha 1 now? 

To remove it later and revert back to the original media kit execute the uninstall.sh script.

" "No" "Yes"`
if [ $answer == "No" ]
then
	alert "Installation aborted!" "OK"
	exit
fi

curdir=`dirname "$0"`
if [ "$curdir" == "." ]
then
    curdir=`pwd`
fi

if [ -e ~/config/add-ons/media/mixer.media_addon ]
then
    rm ~/config/add-ons/media/mixer.media_addon
fi

if [ -e ~/config/lib/libmedia.so ]
then
    rm ~/config/lib/libmedia.so
fi

if [ ! -d ~/openbeos-mediakit-test ]
then
    mkdir ~/openbeos-mediakit-test
    mkdir ~/openbeos-mediakit-test/data
fi

copyattr -d "$curdir"/data/libmedia.so ~/openbeos-mediakit-test/data
copyattr -d "$curdir"/data/mixer.media_addon ~/openbeos-mediakit-test/data
copyattr -d "$curdir"/data/media_server ~/openbeos-mediakit-test/data
copyattr -d "$curdir"/data/media_addon_server ~/openbeos-mediakit-test/data
copyattr -d "$curdir"/data/runserver.sh ~/openbeos-mediakit-test
copyattr -d "$curdir"/data/uninstall.sh ~/openbeos-mediakit-test
copyattr -d "$curdir"/"README FIRST.html" ~/openbeos-mediakit-test

ln -s ~/openbeos-mediakit-test/data/libmedia.so ~/config/lib/libmedia.so
ln -s ~/openbeos-mediakit-test/data/mixer.media_addon ~/config/add-ons/media/mixer.media_addon

/boot/beos/system/Tracker ~/openbeos-mediakit-test/ &
sleep 1

alert "OpenBeOS Media Kit Alpha 1 has been installed into

/boot/home/openbeos-mediakit-test

Execute the runserver.sh script from a Terminal to start it, or uninstall.sh to remove it" "OK"

